Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## convert.xml.tok
Class ContentToken

    java.lang.Object
      convert.xml.tok.Token
          convert.xml.tok.ContentToken

    public class ContentToken

extends Token

Represents information returned by `Tokenizer.tokenizeContent`.

See Also:
  `Tokenizer.tokenizeContent(char[], int, int, convert.xml.tok.ContentToken)`

Constructor Summary
`ContentToken()`

Method Summary
`int` | `getAttributeNameEnd(int i)` Returns the index following the last character of the name of the attribute index `i`.
`int` | `getAttributeNameStart(int i)` Returns the index of the first character of the name of the attribute index `i`.
`int` | `getAttributeSpecifiedCount()` Returns the number of attributes specified in the start-tag or empty element tag.
`int` | `getAttributeValueEnd(int i)` Returns the index of the closing quote attribute index `i`.
`int` | `getAttributeValueStart(int i)` Returns the index of the character following the opening quote of attribute index `i`.
`boolean` | `isAttributeNormalized(int i)` Returns true if attribute index `i` does not need to be normalized.

Methods inherited from class convert.xml.tok.Token
`getNameEnd, getRefChar, getRefCharPair, getTokenEnd, setNameEnd, setTokenEnd`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContentToken

    public ContentToken()

Method Detail

### getAttributeSpecifiedCount

    public final int getAttributeSpecifiedCount()

  Returns the number of attributes specified in the start-tag or empty element tag.

### getAttributeNameStart

    public final int getAttributeNameStart(int i)

  Returns the index of the first character of the name of the attribute index `i`.

### getAttributeNameEnd

    public final int getAttributeNameEnd(int i)

  Returns the index following the last character of the name of the attribute index `i`.

### getAttributeValueStart

    public final int getAttributeValueStart(int i)

  Returns the index of the character following the opening quote of attribute index `i`.

### getAttributeValueEnd

    public final int getAttributeValueEnd(int i)

  Returns the index of the closing quote attribute index `i`.

### isAttributeNormalized

    public final boolean isAttributeNormalized(int i)

  Returns true if attribute index `i` does not need to be normalized. This is an optimization that allows further processing of the attribute to be avoided when it is known that normalization cannot change the value of the attribute.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD